package com.dsk.cscec.domain.vo;

import com.dsk.cscec.domain.CbProjectFile;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @author sxk
 * @date 2024.02.08
 * @time 10:24
 */
@Data
public class QueryProjectFileUploadDetailVo {
    /**
     * 项目ID
     */
    private Long projectId;
    /**
     * 直接费成本
     */
    private List<CbProjectFile> directExpense = new ArrayList<>();
    /**
     * 工料汇总
     */
    private List<CbProjectFile> quantitySummary = new ArrayList<>();
    /**
     * 措施项目
     */
    private List<CbProjectFile> measureProject = new ArrayList<>();
    /**
     * 其他项目
     */
    private List<CbProjectFile> otherProject = new ArrayList<>();
    /**
     * 现场经费
     */
    private List<CbProjectFile> sceneExpense = new ArrayList<>();
    /**
     * 成本汇总
     */
    private List<CbProjectFile> cbSummary = new ArrayList<>();
}
